com.smartgwt.client.types

## Enum Selected

- java.lang.Object
- - java.lang.Enum<Selected>
  - - com.smartgwt.client.types.Selected

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<Selected>

      public enum Selected
      extends java.lang.Enum<Selected>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOCUSED` StatefulCanvas should show focused state
    `SELECTED` StatefulCanvas is selected
    `UNSELECTED` StatefulCanvas is not selected

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Selected` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Selected[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FOCUSED

          public static final Selected FOCUSED

      StatefulCanvas should show focused state

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Focused".

    - #### SELECTED

          public static final Selected SELECTED

      StatefulCanvas is selected

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Selected".

    - #### UNSELECTED

          public static final Selected UNSELECTED

      StatefulCanvas is not selected

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "".

  - ### Method Detail

    - #### values

          public static Selected[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Selected c : Selected.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Selected valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`